import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NameApple = "apple";
export declare class Apple extends BaseProvider {
    private jwksURL;
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
    FetchRawUserInfo(token: OAuth2Token): Promise<Uint8Array>;
    private parseAndVerifyIdToken;
}
